
ISIS - Feature #2397

Feature # 2262 (Closed): Add new isisminer application to system

update ImportPdsTable class with changes for isisminer

2016-02-19 11:26 AM - Ian Humphrey

Status: Closed   

Priority: Normal   

Assignee: Ian Humphrey   

Category: API   

Target version: 3.4.12 (FY16 R2 2016-03-17 Mar)   

Impact: When isisminer is added to ISIS, it can

import PDS tables

Software Version:  

Description

The ImportPdsTable class has been updated so isisminer can better use it. These API changes include:

* added protected getColumnFields to retrieve data from columns with multiple values (i.e. fields)

* added a getter and setter for the table name

* added protected getColumnDescriptor to retrieve the column description by reference

* encapsulated the loading of table row data in processRow

* getColumnDescription now obtains the the number of items and number of bytes per item when returning the ColumnDescr

* loadLabel can now be passed a tblname parameter to specify which table to load the PDS table label from

These changes need to be put into ISIS and tested.

History

#1 - 2016-02-19 11:28 AM - Ian Humphrey

- Tracker changed from Bug to Feature

#2 - 2016-02-19 11:33 AM - Ian Humphrey

- Status changed from New to In Progress

#3 - 2016-02-19 12:27 PM - Ian Humphrey

- Description updated

- Impact updated

#4 - 2016-02-19 12:27 PM - Ian Humphrey

- Description updated

#5 - 2016-02-19 01:45 PM - Jean Backer

- Parent task set to #2262

#6 - 2016-02-25 10:19 AM - Ian Humphrey

- Status changed from In Progress to Resolved

#8 - 2016-03-03 01:40 PM - Ian Humphrey

- Status changed from Resolved to Closed
